Skip to main content
GET
/
v3
/
stores
/
{store_id}
/
public
/
bundle-price-options
/
{slug}
Get a storefront bundle price option by slug
curl --request GET \
  --url https://api.scalev.com/v3/stores/{store_id}/public/bundle-price-options/{slug} \
  --header 'X-Scalev-Storefront-Api-Key: <x-scalev-storefront-api-key>'
{
  "id": 123,
  "bundle_price_option_id": 123,
  "bundle_id": 123,
  "slug": "<string>",
  "name": "<string>",
  "entity_type": "bundle_price_option",
  "in_stock": true,
  "price_range": {
    "min": "<string>",
    "max": "<string>"
  },
  "images": [
    "<string>"
  ],
  "description": "<string>",
  "meta_thumbnail": "<string>",
  "is_multiple": true,
  "option1_name": "<string>",
  "option2_name": "<string>",
  "option3_name": "<string>",
  "taxonomy": {
    "id": 123,
    "name": "<string>",
    "full_path": "<string>"
  },
  "created_at": "2023-11-07T05:31:56Z",
  "rich_description": "<string>",
  "bundle_name": "<string>",
  "bundle_price_option_name": "<string>",
  "price": "<string>",
  "weight_bump": 123,
  "bundlelines": [
    {
      "variant_id": 123,
      "quantity": 2,
      "variant_name": "<string>",
      "product_name": "<string>"
    }
  ]
}

Headers

X-Scalev-Storefront-Api-Key
string
required

Publishable storefront public API key for the target store. Page public API keys are not accepted on Storefront public routes.

Path Parameters

store_id
string
required

Store unique_id.

slug
string
required

Response

Storefront bundle price option detail

id
integer
required

Bundle price option ID.

bundle_price_option_id
integer
required

Bundle price option ID used in cart and checkout payloads.

bundle_id
integer
required

Owning bundle ID.

slug
string
required
name
string
required

Public bundle display name.

entity_type
enum<string>
required
Available options:
bundle_price_option
in_stock
boolean
required
price_range
object
required
images
string[]
required
description
string | null
meta_thumbnail
string | null
is_multiple
boolean | null
option1_name
string | null
option2_name
string | null
option3_name
string | null
taxonomy
object
created_at
string<date-time> | null
rich_description
string | null
bundle_name
string

Owning bundle name.

bundle_price_option_name
string

Bundle price option display name.

price
weight_bump
integer | null
bundlelines
object[]